import re

PATTERNS = {}
PATTERNS['emper'] = (re.compile('^emper'), '\\\\emper{}')
PATTERNS['go'] = (re.compile('^go'), 'Go')
PATTERNS['tokio'] = (re.compile('^tokio'), 'Tokio')


def subst_runtime_name(name: str) -> str:
    """Match and replace runtime names using re"""

    for pattern, replacement in PATTERNS.values():
        name = re.sub(pattern, replacement, name)

    return name
